aboutsummaryrefslogtreecommitdiffstats
path: root/community/ofono/ofono.initd
diff options
context:
space:
mode:
Diffstat (limited to 'community/ofono/ofono.initd')
-rw-r--r--community/ofono/ofono.initd20
1 files changed, 20 insertions, 0 deletions
diff --git a/community/ofono/ofono.initd b/community/ofono/ofono.initd
new file mode 100644
index 0000000000..ad555f63f5
--- /dev/null
+++ b/community/ofono/ofono.initd
@@ -0,0 +1,20 @@
+#!/sbin/openrc-run
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Purpose License v2
+# $Header: ./gentoo-x86-cvsroot/net-misc/ofono/files/ofono.initd,v 1.1 2009/08/24 13:20:40 dagger Exp $
+
+depend() {
+ need dbus
+}
+
+start() {
+ ebegin "Starting oFono"
+ start-stop-daemon --start --quiet --exec /usr/sbin/ofonod
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping oFono"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/ofonod
+ eend $?
+}